- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKValueContext< Type, NestedParser, Id > Class Template Reference

`#include <IWORKValueContext.h>`

Inheritance diagram for libetonyek::IWORKValueContext< Type, NestedParser, Id >:

## Public Member Functions
| IWORKValueContext (IWORKXMLParserState &state, boost::optional< Type > &value)
| IWORKValueContext (IWORKXMLParserState &state, Type &value, bool *isSet=0)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | set (const Type &value)
virtual IWORKXMLContextPtr_t | element (const int name)
virtual void | endOfElement ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
boost::optional< Type > | m_value
boost::optional< Type > & | m_optional
Type *const | m_direct
bool *const | m_isSet

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

template<typename Type , class NestedParser , unsigned Id>

libetonyek::IWORKValueContext< Type, NestedParser, Id >::IWORKValueContext | ( | IWORKXMLParserState & | state,
|  | boost::optional< Type > & | value
| ) |  |
| inline

template<typename Type , class NestedParser , unsigned Id>

libetonyek::IWORKValueContext< Type, NestedParser, Id >::IWORKValueContext | ( | IWORKXMLParserState & | state,
|  | Type & | value,
|  | bool * | isSet = `0`
| ) |  |
| inline

## Member Function Documentation

template<typename Type , class NestedParser , unsigned Id>

virtual IWORKXMLContextPtr_t libetonyek::IWORKValueContext< Type, NestedParser, Id >::element | ( | const int | name | ) |
| inline protected virtual

template<typename Type , class NestedParser , unsigned Id>

virtual void libetonyek::IWORKValueContext< Type, NestedParser, Id >::endOfElement | ( |  | ) |
| inline protected virtual

template<typename Type , class NestedParser , unsigned Id>

void libetonyek::IWORKValueContext< Type, NestedParser, Id >::set | ( | const Type & | value | ) |
| inline protected

## Member Data Documentation

template<typename Type , class NestedParser , unsigned Id>

Type* const libetonyek::IWORKValueContext< Type, NestedParser, Id >::m_direct
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id >::endOfElement().

template<typename Type , class NestedParser , unsigned Id>

bool* const libetonyek::IWORKValueContext< Type, NestedParser, Id >::m_isSet
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id >::endOfElement().

template<typename Type , class NestedParser , unsigned Id>

boost::optional<Type>& libetonyek::IWORKValueContext< Type, NestedParser, Id >::m_optional
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id >::endOfElement().

template<typename Type , class NestedParser , unsigned Id>

boost::optional<Type> libetonyek::IWORKValueContext< Type, NestedParser, Id >::m_value
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id >::element(), libetonyek::IWORKValueContext< Type, NestedParser, Id >::endOfElement(), and libetonyek::IWORKValueContext< Type, NestedParser, Id >::set().

The documentation for this class was generated from the following file:

- IWORKValueContext.h